Bug 1545730 - Stop throwing away changes made in Fedora
Summary: Stop throwing away changes made in Fedora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rho
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Hambridge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-15 14:37 UTC by Igor Gnatenko
Modified: 2018-02-20 17:16 UTC (History)
4 users (show)

Fixed In Version: rho-0.0.32-6.el6 rho-0.0.32-6.el7 rho-0.0.32-6.fc26 rho-0.0.32-6.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 16:23:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Igor Gnatenko 2018-02-15 14:37:39 UTC
https://src.fedoraproject.org/rpms/rho/c/6d3df898b19fa09cc693594781e508a1aa38476c

This simply reverted all cleanup we have made and also removed changelog entry. This is unacceptable, see https://fedoraproject.org/wiki/Packaging:Guidelines#Spec_Maintenance_and_Canonicity

Comment 1 Jesus M. Rodriguez 2018-02-15 15:22:28 UTC
I highly suspect this is a result of doing a tito release on the rho source, as many of our projects that use tito maintain the spec file in the project itself. IIRC when tito does the commit to dist-git it shows a diff and lets the user update the changelog. The person doing the build should ensure that the Fedora changelog changes are not being dismissed.

Comment 2 Chris Hambridge 2018-02-15 15:27:10 UTC
Yes, this was the case. First time I've encountered this so I will be more diligent in the future. I'll get a fix in.

Comment 3 Fedora Update System 2018-02-15 20:53:29 UTC
rho-0.0.32-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ffebeb328a

Comment 4 Fedora Update System 2018-02-15 20:53:37 UTC
rho-0.0.32-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-81eed61d56

Comment 5 Fedora Update System 2018-02-15 20:53:43 UTC
rho-0.0.32-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fff405ac16

Comment 6 Fedora Update System 2018-02-15 20:53:48 UTC
rho-0.0.32-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0af14dc988

Comment 7 Fedora Update System 2018-02-16 15:42:13 UTC
rho-0.0.32-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-81eed61d56

Comment 8 Fedora Update System 2018-02-16 15:58:14 UTC
rho-0.0.32-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0af14dc988

Comment 9 Fedora Update System 2018-02-16 16:27:58 UTC
rho-0.0.32-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ffebeb328a

Comment 10 Fedora Update System 2018-02-16 18:15:52 UTC
rho-0.0.32-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fff405ac16

Comment 11 Fedora End Of Life 2018-02-20 15:38:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 12 Fedora Update System 2018-02-20 16:23:30 UTC
rho-0.0.32-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-02-20 16:24:34 UTC
rho-0.0.32-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-02-20 16:39:01 UTC
rho-0.0.32-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-02-20 17:16:40 UTC
rho-0.0.32-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.